metacity crashed with signal 5 in XGetWindowAttributes()

Bug #1638153 reported by KyL416 on 2016-11-01
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
metacity (Ubuntu)
Medium
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

# Impact
Metacity crashes sometimes, which can lead to the session being aborted and can cause loss of unsaved work results.

# Test Case
The quickest way to reproduce is to open up an image in Gimp, select all, copy and then exit. That's when Metacity crashes.

It also crashes in other applications, like Netbeans.

# Fix
The proposed upload for Yakkety is identical to 1:3.20.3-1ubuntu3, which has been in Zesty for some time. The fix comes from upstream gnome-3-20 branch.

# Regression Potential
The fix has been staged in Zesty, and nobody complained.

=============================================================================

This began when I upgraded to 16.10, it always happens when using Gimp under Gnome-flashback. Occasionally it happens with other apps too.

The bad part is, if I don't run 'metacity --replace' before launching gimp, it causes the entire session to quit and go back to the login screen. (I know why it does that, but there should be some better error handling there so people don't lose their work or any other in progress things, at least with just metactity crashed there's a way of restarting metacity and keeping the current session, as well as the ability to save work in other applications before restarting)

Ubuntu 16.10
Metacity 1:3.20.3-1ubuntu2

ProblemType: Crash
DistroRelease: Ubuntu 16.10
Package: metacity 1:3.20.3-1ubuntu2
ProcVersionSignature: Ubuntu 4.8.0-26.28-generic 4.8.0
Uname: Linux 4.8.0-26-generic x86_64
ApportVersion: 2.20.3-0ubuntu8
Architecture: amd64
CurrentDesktop: GNOME-Flashback:Unity
Date: Mon Oct 31 21:57:27 2016
ExecutablePath: /usr/bin/metacity
ExecutableTimestamp: 1475585823
InstallationDate: Installed on 2010-12-09 (2154 days ago)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcCmdline: metacity --replace
ProcCwd: /home/kyle
Signal: 5
SourcePackage: metacity
StacktraceTop:
 XGetWindowAttributes (dpy=0x556f34ceed40, w=<optimized out>, attr=attr@entry=0x7ffca3678490) at ../../src/GetWAttrs.c:149
 meta_group_new (display=0x556f34f66c00, group_leader=<optimized out>) at core/group.c:48
 meta_window_compute_group (window=window@entry=0x556f351a8eb0) at core/group.c:159
 meta_window_group_leader_changed (window=window@entry=0x556f351a8eb0) at core/group.c:194
 reload_wm_hints (window=0x556f351a8eb0, value=<optimized out>, initial=<optimized out>) at core/window-props.c:1565
Title: metacity crashed with signal 5 in XGetWindowAttributes()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm audio cdrom dialout dip disk fax floppy fuse lpadmin netdev plugdev powerdev sambashare scanner sudo tape vboxusers video wireshark

KyL416 (kyl416) wrote :
information type: Private → Public

StacktraceTop:
 XGetWindowAttributes (dpy=0x556f34ceed40, w=<optimized out>, attr=attr@entry=0x7ffca3678490) at ../../src/GetWAttrs.c:149
 meta_group_new (display=0x556f34f66c00, group_leader=<optimized out>) at core/group.c:48
 meta_window_compute_group (window=window@entry=0x556f351a8eb0) at core/group.c:159
 meta_window_group_leader_changed (window=window@entry=0x556f351a8eb0) at core/group.c:194
 reload_wm_hints (window=0x556f351a8eb0, value=<optimized out>, initial=<optimized out>) at core/window-props.c:1565

Changed in metacity (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace

Dmitry, this should be fixed in 3.22.1. Do you need new release also for 3.20 or will you just add patch from gnome-3-20 branch?

Dmitry Shachnev (mitya57) wrote :

I can add a patch. Thanks for the quick fix!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metacity - 1:3.22.1-1ubuntu1

---------------
metacity (1:3.22.1-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/metacity-common.links: Show keybindings in Unity control center.
    - debian/metacity-common.gsettings-override: Change the default theme to
      Ambiance.
  * Drop all patches, applied upstream.

 -- Dmitry Shachnev <email address hidden> Fri, 04 Nov 2016 21:16:30 +0300

Changed in metacity (Ubuntu):
status: New → Fix Released
description: updated

Hello KyL416, or anyone else affected,

Accepted metacity into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/metacity/1:3.20.3-1ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in metacity (Ubuntu Yakkety):
status: New → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metacity - 1:3.20.3-1ubuntu2.1

---------------
metacity (1:3.20.3-1ubuntu2.1) yakkety; urgency=medium

  * Update no_remove_on_unmap.diff with a minor fix from upstream.
  * Backport upstream patch to fix crash in meta_group_new() function
    (group_error_trap.diff, LP: #1638153).

 -- Dmitry Shachnev <email address hidden> Wed, 09 Nov 2016 22:51:48 +0300

Changed in metacity (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for metacity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers